**Source URL:** https://general.veevavault.dev/vault-api/api-reference/26.1/vault-loader/multi-file-load/retrieve-load-success-log-results.md

# Retrieve Load Success Log Results



Retrieve success logs of loader results.

<Endpoint path="/api/{version}/services/loader/{job_id}/tasks/{task_id}/successlog" method="GET"></Endpoint>

## Headers {#headers}

The `Accept` header only changes the format of the response in the case of an error. This does not change the file format of the download.

| Name | Description |
| --- | --- |
| `Accept` | `application/json` |

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `job_id` | The `id` value of the requested load job. |
| `task_id` | The `id` value of the requested load task. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X GET -H "Authorization: {SESSION_ID}" \
- H "Content-Type: application/json" \
https://myveevavault.com/api/v19.2/services/loader/61907/tasks/1/successlog

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
responseStatus,id,name__v,external_id__v,errors,rowId,event,id_param__value
SUCCESS,00P000000000807,,,,1,created__sys,
SUCCESS,00P000000000808,,,,2,created__sys,
SUCCESS,00P000000000809,,,,3,updated__sys,00P000000000809

```
</CodeExample>

## Response Details {#response-details}

On `SUCCESS`, the response includes a CSV file with the success log of loader results.

The response may include the following additional information:

<FieldTable>
| Metadata Field | Description |
| --- | --- |
| `event` | Whether the record was created (`created__sys`) or updated (`updated__sys`). Only included for upsert actions. |
| `id_param_value` | The value of the field specified by the `idparam` body parameter if provided when loading data objects. For example, if `idparam=external_id__v`, the `id_param_value` returned is the same as the record's external ID. |
</FieldTable>

---

**Previous:** [Load Data Objects](/vault-api/api-reference/26.1/vault-loader/multi-file-load/load-data-objects)  
**Next:** [Retrieve Load Failure Log Results](/vault-api/api-reference/26.1/vault-loader/multi-file-load/retrieve-load-failure-log-results)